package br.com.rjconsultores.auditador.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Anotao responsvel que indicar que o atributo  uma entidade e seus atributos devero ser auditados individualmente.
 * 
 * @author wilian
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface AuditarEntidade {
	
	/**
	 * Caso seja necessrio colocar um nome amigvel para o atributo, seno for informado o padro ser o nome do atributo da classe.
	 */
	String nome() default "";

}
